print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricepizza = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local pizzaHudFile = "Paletten/hud_fill_pizza.dds"
	local pizzaHudFileSmall = "Paletten/hud_fill_pizza_small.dds"
	
    local pizzaFilType = g_fillTypeManager:addFillType("PIZZA", g_i18n:getText("pizza"), true, pricepizza * 2.0, 0.00045, math.rad(10), pizzaHudFile, pizzaHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspizza=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspizza=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PIZZA" then
		haspizza=true
	end;
		
end;

		if hasmaize and not haspizza then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PIZZA")
		local price = g_fillTypeManager:getFillTypeByName("PIZZA").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PIZZA")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)